/* 
 * %%nomodsWarning
 */

/*
 * $Id: glexerc.tpl,v 1.3 1999/09/07 17:59:43 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#include "PglParser.h" /* to get tokens from the parser */
#include "PglLexer.h"

%%filters

PglLexer::PglLexer(istream &aSource, const char *aFName): GLexer(aSource, aFName) {
	static FinalInfo _finalInfo[] = %%finalStates;
	finalInfo = _finalInfo;
	initialState = %%initialState;
}

int PglLexer::transition(int s, int c) {
	static short int const transTable[%%states][%%charSet] = %%stateTransition;

	return(transTable[s][c+1]);
}
