
/*
 * $Id: xparser.h,v 1.3 1999/09/07 17:48:22 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef XPARSER_LIBRARY_H
#define XPARSER_LIBRARY_H

#include "config.h"

#include <iostream.h>
#include <iomanip.h>

// handy manipulators to terminate a program after an error message
inline ostream &xabort(ostream &os) { ::abort(); return os; }
inline ostream &xexit(ostream &os) { ::exit(-1); return os; }

#ifndef here
#define here __FILE__ << ':' << __LINE__ << ": "
#endif

#endif
